# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-offtrac
Version:        0.0.3
Release:        %mkrel 2
Summary:        Trac xmlrpc library

Group:          Development/Python
License:        GPLv2+
URL:            http://fedorahosted.org/offtrac
# No tarballs are made, generate them from scm
# git clone git://git.fedorahosted.org/git/offtrac
# cd offtrac
# git checkout -b tarball %{version}
# python setup.py sdist --formats=bztar
# 
Source0:        offtrac-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  python-devel

%description
There is the offtrac python library which offers the TracServer class. This
object is how one interacts with a Trac instance via xmlrpc.

%files
%doc COPYING LICENSE README
# For noarch packages: sitelib
%{python_sitelib}/*

#--------------------------------------------------------------------

%prep
%setup -q -n offtrac-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.0.3-2.mga3
+ Revision: 379200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 dmorgan <dmorgan> 0.0.3-1.mga2
+ Revision: 198888
- imported package python-offtrac

